/* ------------------ pliki ------------------ */

.files {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: .75rem;
}

.files .file {
  display: grid;
}

.files .file a {
  outline: 1px solid var(--text10);
  display: flex;
  padding: 1.5rem 1rem 0rem;
  color: var(--text1);
  background: var(--text10);
  border-radius: .225rem;
}

.files .file a:hover {
  background: var(--opacity4);
  text-decoration: none;
  color: var(--text8);
}

.files .file-image {
  padding-right: 1rem;
}

.files .file-image svg {
  width: 4.5rem;
  height: 4.5rem;
  margin-right: .5rem;
}

.files .file-image svg * {
  fill: var(--text1);
}

.files .file-desc {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: stretch;
}

.files .title {
  font-family: var(--font-family-sans-serif);
  font-size: clamp(1.125rem, 2.5vw, 1.425rem);
  font-weight: 600;
  margin-bottom: .5rem;
}

.files .list-specs {
  margin-top: 1rem;
  padding: .325rem .125rem 0 ;
  border-top: 1px solid var(--lightgrey);
  font-size: .825rem;
  color: var(--text2);
  display: flex;
}

.files .list-specs li:not(:last-of-type) {
  margin-right: .5rem;
}

.files .list-specs em {
  font-style: normal;
  font-weight: 400;
}


@media (max-width: 992px) {
  .files {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 576px) {
  .files .file a {
    flex-direction: column;
  }

  .files .file-image svg {
    width: 2.5rem;
    height: 2.5rem;
    margin: 0 0 1rem 0;
  }
}

/* ------------------ end pliki ------------------ */